Name:           ocaml-camlzip
Version:        1.12
%global upstream_relname %(echo %{version} | sed 's/\\.//')
Release:        1%{?dist}
Summary:        Reading and writing zip and gzip files from OCaml

License:        LGPL-2.1-only
URL:            https://github.com/xavierleroy/camlzip
Source0:        %{url}/archive/refs/tags/rel%{upstream_relname}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  zlib-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ocamldoc

%description
This Objective Caml library provides easy access to compressed files in ZIP and
GZIP format, as well as to Java JAR files. It provides functions for reading
from and writing to compressed files in these formats.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       zlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
%description    doc
%{summary}.

%prep
%autosetup -p1 -n camlzip-rel%{upstream_relname}

%build
%make_build all doc

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{ocamldir}
mkdir -p ${OCAMLFIND_DESTDIR}/stublibs
%make_install
install -m 644 -p -D -t %{buildroot}%{_docdir}/%{name} doc/*
rm %{buildroot}%{ocamldir}/zip/*.{cmt,cmti,cmxs}

%files
%{ocamldir}/camlzip/META
%{ocamldir}/zip/META
%{ocamldir}/stublibs/*
%{ocamldir}/zip/*.{cma,cmi}
%license LICENSE

%files devel
%{ocamldir}/zip/*.{a,cmx,cmxa,mli,ml}

%files doc
%{_docdir}/%{name}/*

%changelog
* Tue Jul 16 2024 Marian Koncek <mkoncek@redhat.com> - 0.7.32-1
- Initial build
